import { directionSwitch } from "@microsoft/fast-jss-utilities";
import { neutralForegroundHint, neutralForegroundRest } from "../utilities/color";
import { applyCursorDefault } from "../utilities/cursor";
import { applyScaledTypeRamp } from "../utilities/typography";
const styles = {
    breadcrumb: Object.assign(Object.assign({ color: neutralForegroundRest }, applyScaledTypeRamp("t7")), applyCursorDefault()),
    breadcrumb_item: {
        display: "inline",
        outline: "none",
        "text-decoration": "none",
        transition: "all 0.2s ease-in-out, border none",
        "&:link, &:visited": {
            "border-bottom": "0px",
        },
    },
    breadcrumb_itemsContainer: {
        "list-style": "none",
        "padding-left": directionSwitch("0", ""),
        "padding-right": directionSwitch("", "0"),
        margin: "0",
        display: "flex",
        "flex-wrap": "wrap",
    },
    breadcrumb_separator: Object.assign(Object.assign({ display: "inline-block" }, applyCursorDefault()), { color: neutralForegroundHint, margin: "0 6px" }),
};
export default styles;
