declare const _default: {
    $schema: string;
    title: string;
    description: string;
    id: string;
    type: string;
    properties: {
        backgroundColor: {
            title: string;
            type: string;
            pattern: string;
            default: string;
            disabled: boolean;
        };
        contrast: {
            title: string;
            type: string;
            default: number;
        };
        density: {
            title: string;
            type: string;
            enum: number[];
            default: number;
        };
        designUnit: {
            title: string;
            type: string;
            default: number;
        };
        baseHeightMultiplier: {
            title: string;
            type: string;
            default: number;
        };
        baseHorizontalSpacingMultiplier: {
            title: string;
            type: string;
            default: number;
        };
        direction: {
            title: string;
            type: string;
            enum: string[];
            default: string;
            disabled: boolean;
        };
        fontWeight: {
            title: string;
            type: string;
            properties: {
                light: {
                    title: string;
                    type: string;
                    default: number;
                };
                semilight: {
                    title: string;
                    type: string;
                    default: number;
                };
                normal: {
                    title: string;
                    type: string;
                    default: number;
                };
                semibold: {
                    title: string;
                    type: string;
                    default: number;
                };
                bold: {
                    title: string;
                    type: string;
                    default: number;
                };
            };
        };
        cornerRadius: {
            title: string;
            type: string;
            default: number;
        };
        elevatedCornerRadius: {
            title: string;
            type: string;
            default: number;
        };
        outlineWidth: {
            title: string;
            type: string;
            default: number;
        };
        focusOutlineWidth: {
            title: string;
            type: string;
            default: number;
        };
        disabledOpacity: {
            title: string;
            type: string;
            default: number;
        };
        accentFillRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentFillHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentFillActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentFillFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentFillSelectedDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentForegroundRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentForegroundHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentForegroundActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentForegroundFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillSelectedDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillInputRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillInputHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillInputActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillInputFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillInputSelectedDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillStealthRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillStealthHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillStealthActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillStealthFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillStealthSelectedDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillToggleHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillToggleActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillToggleFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        baseLayerLuminance: {
            title: string;
            type: string;
            default: number;
        };
        neutralFillCardDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralForegroundHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralForegroundActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralForegroundFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralDividerRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralOutlineRestDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralOutlineHoverDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralOutlineActiveDelta: {
            title: string;
            type: string;
            default: number;
        };
        neutralOutlineFocusDelta: {
            title: string;
            type: string;
            default: number;
        };
        accentBaseColor: {
            title: string;
            type: string;
            pattern: string;
            default: string;
            disabled: boolean;
        };
    };
};
export default _default;
