import { applyFocusVisible, format, toPx } from "@microsoft/fast-jss-utilities";
import { accentForegroundActive, accentForegroundHover, accentForegroundRest, neutralFocus, neutralForegroundRest, } from "../utilities/color";
import { focusOutlineWidth, outlineWidth } from "../utilities/design-system";
import { HighContrastColor, highContrastLinkValue, highContrastOptOutProperty, highContrastSelector, } from "../utilities/high-contrast";
const styles = {
    hypertext: {
        outline: "none",
        "text-decoration": "none",
        color: neutralForegroundRest,
        transition: "all 0.2s ease-in-out, border 0.03s ease-in-out",
        "&:link, &:visited": Object.assign(Object.assign({ "border-bottom": format("{0} solid {1}", toPx(outlineWidth), accentForegroundRest), color: accentForegroundRest, "&:hover": {
                "border-bottom-color": accentForegroundHover,
                color: accentForegroundHover,
                [highContrastSelector]: {
                    "border-bottom-color": highContrastLinkValue,
                    color: highContrastLinkValue,
                },
            }, "&:active": {
                "border-bottom-color": accentForegroundActive,
                color: accentForegroundActive,
            } }, applyFocusVisible({
            "border-bottom": format("{0} solid {1}", toPx(focusOutlineWidth), neutralFocus),
            [highContrastSelector]: {
                "border-bottom-color": highContrastLinkValue,
                color: highContrastLinkValue,
            },
        })), { [highContrastSelector]: {
                color: highContrastLinkValue,
                "border-bottom-color": highContrastLinkValue,
            } }),
        [highContrastSelector]: Object.assign(Object.assign({}, highContrastOptOutProperty), { color: HighContrastColor.text }),
    },
};
export default styles;
