import { directionSwitch, format, toPx } from "@microsoft/fast-jss-utilities";
import { applyCornerRadius, applyFocusPlaceholderBorder } from "../utilities/border";
import { applyCursorPointer } from "../utilities/cursor";
import { glyphSize, height, horizontalSpacing } from "../utilities/density";
import { focusOutlineWidth, outlineWidth } from "../utilities/design-system";
import { applyDisabledState } from "../utilities/disabled";
import { applyScaledTypeRamp } from "../utilities/typography";
export function buttonStyles() {
    return Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, applyScaledTypeRamp("t7")), applyCursorPointer()), applyFocusPlaceholderBorder()), applyCornerRadius()), { "font-family": "inherit", "box-sizing": "border-box", "max-width": "374px", "min-width": height(), padding: format("0 {0}", horizontalSpacing(focusOutlineWidth)), display: "inline-flex", "justify-content": "center", "align-items": "center", height: height(), "line-height": "1", overflow: "hidden", "text-decoration": "none", "white-space": "nowrap", transition: "all 0.1s ease-in-out", "&::-moz-focus-inner": {
            border: "0",
        } });
}
/**
 * The base button style object
 */
export const baseButton = {
    button_contentRegion: {
        position: "relative",
        "&::before": {
            content: "''",
            display: "block",
            height: toPx(outlineWidth),
            position: "absolute",
            bottom: "-3px",
            width: "100%",
            left: directionSwitch("0", ""),
            right: directionSwitch("", "0"),
        },
        "& svg": {
            width: glyphSize,
            height: glyphSize,
        },
    },
    button__disabled: Object.assign({}, applyDisabledState()),
    button_beforeContent: {
        width: glyphSize,
        height: glyphSize,
    },
    button_afterContent: {
        width: glyphSize,
        height: glyphSize,
    },
    button__hasBeforeOrAfterAndChildren: {
        "& $button_beforeContent": {
            "margin-right": directionSwitch(horizontalSpacing(), ""),
            "margin-left": directionSwitch("", horizontalSpacing()),
        },
        "& $button_afterContent": {
            "margin-right": directionSwitch("", horizontalSpacing()),
            "margin-left": directionSwitch(horizontalSpacing(), ""),
        },
    },
};
