import { CSSRules } from "@microsoft/fast-jss-manager";
import { DesignSystem } from "../design-system";
/**
 * Sets the border radius for controls.
 */
export declare function applyCornerRadius(): CSSRules<DesignSystem>;
/**
 * @deprecated Use applyElevatedCornerRadius instead.
 */
export declare function applyFloatingCornerRadius(): CSSRules<DesignSystem>;
/**
 * Sets the border radius for elevated surfaces or controls.
 */
export declare function applyElevatedCornerRadius(): CSSRules<DesignSystem>;
/**
 * Sets the border radius for pill-shaped controls.
 */
export declare function applyPillCornerRadius(): CSSRules<DesignSystem>;
/**
 * Sets the border width, style, and color to reserve the space for the focus indicator.
 */
export declare function applyFocusPlaceholderBorder(config?: DesignSystem): CSSRules<DesignSystem>;
