import { DesignSystemResolver } from "../../design-system";
import { SwatchFamily } from "./common";
import { Palette } from "./palette";
/**
 * Function to derive accessible colors from contrast and delta configuration.
 * Performs a simple contrast check against the colors and returns
 * the color that has the most contrast against the background. If contrast
 * cannot be retrieved correctly, function returns black.
 */
export declare function accessibleAlgorithm(palette: Palette | DesignSystemResolver<Palette>, minContrast: number | DesignSystemResolver<number>, restDelta: number | DesignSystemResolver<number>, hoverDelta: number | DesignSystemResolver<number>, activeDelta: number | DesignSystemResolver<number>, focusDelta: number | DesignSystemResolver<number>): DesignSystemResolver<SwatchFamily>;
