import { ColorRecipe, Swatch } from "./common";
/**
 * @deprecated Use the recipes because they can be more dynamic for different ramps
 */
export declare enum NeutralPaletteLightModeLayers {
    L1 = 0,
    L1Alt = 3,
    L2 = 10,
    L3 = 13,
    L4 = 16
}
/**
 * @deprecated Use the recipes because they can be more dynamic for different ramps
 */
export declare enum NeutralPaletteDarkModeLayers {
    L1 = 76,
    L1Alt = 76,
    L2 = 79,
    L3 = 82,
    L4 = 85
}
/**
 * Recommended values for light and dark mode for `baseLayerLuminance` in the design system.
 */
export declare enum StandardLuminance {
    LightMode = 1,
    DarkMode = 0.23
}
/**
 * Used as the background color for floating layers like context menus and flyouts.
 */
export declare const neutralLayerFloating: ColorRecipe<Swatch>;
/**
 * Used as the background color for cards. Pair with `neutralLayerCardContainer` for the container background.
 */
export declare const neutralLayerCard: ColorRecipe<Swatch>;
/**
 * Used as the background color for card containers. Pair with `neutralLayerCard` for the card backgrounds.
 */
export declare const neutralLayerCardContainer: ColorRecipe<Swatch>;
/**
 * Used as the background color for the primary content layer (L1).
 */
export declare const neutralLayerL1: ColorRecipe<Swatch>;
/**
 * Alternate darker color for L1 surfaces. Currently the same as card container, but use
 * the most applicable semantic named recipe.
 */
export declare const neutralLayerL1Alt: ColorRecipe<Swatch>;
/**
 * Used as the background for the top command surface, logically below L1.
 */
export declare const neutralLayerL2: ColorRecipe<Swatch>;
/**
 * Used as the background for secondary command surfaces, logically below L2.
 */
export declare const neutralLayerL3: ColorRecipe<Swatch>;
/**
 * Used as the background for the lowest command surface or title bar, logically below L3.
 */
export declare const neutralLayerL4: ColorRecipe<Swatch>;
