import { CSSRules } from "@microsoft/fast-jss-manager";
import { DesignSystem } from "../design-system";
export declare const highContrastSelector: string;
export declare enum HighContrastColor {
    text = "WindowText",
    forcedColorLink = "LinkText",
    msLink = "-ms-hotlight",
    disabledText = "GrayText",
    selectedText = "HighlightText",
    selectedBackground = "Highlight",
    buttonText = "ButtonText",
    buttonBackground = "ButtonFace",
    background = "Window"
}
export declare const highContrastOptOutProperty: CSSRules<{}>;
export declare function applyHighContrastLinkValue(): string;
export declare const highContrastLinkValue: string;
export declare const highContrastStealth: CSSRules<DesignSystem>;
export declare const highContrastOutline: CSSRules<DesignSystem>;
export declare const highContrastAccent: CSSRules<DesignSystem>;
export declare const highContrastLinkOutline: CSSRules<DesignSystem>;
export declare const highContrastDisabled: CSSRules<DesignSystem>;
export declare const highContrastDisabledBorder: CSSRules<DesignSystem>;
export declare const highContrastDisabledForeground: CSSRules<DesignSystem>;
export declare const highContrastDisabledBackground: CSSRules<DesignSystem>;
export declare const highContrastOutlineFocus: CSSRules<DesignSystem>;
export declare const highContrastDoubleOuterFocus: CSSRules<DesignSystem>;
export declare const highContrastDoubleFocus: CSSRules<DesignSystem>;
export declare const highContrastSelected: CSSRules<DesignSystem>;
/**
 * @deprecated Use 'highContrastSelected' instead
 */
export declare const highContrastSelection: CSSRules<DesignSystem>;
export declare const highContrastSelectedOutline: CSSRules<DesignSystem>;
export declare const highContrastTextForeground: CSSRules<DesignSystem>;
export declare const highContrastForeground: CSSRules<DesignSystem>;
export declare const highContrastSelectedForeground: CSSRules<DesignSystem>;
export declare const highContrastHighlightForeground: CSSRules<DesignSystem>;
export declare const highContrastLinkForeground: CSSRules<DesignSystem>;
export declare const highContrastBorder: CSSRules<DesignSystem>;
export declare const highContrastBorderColor: CSSRules<DesignSystem>;
export declare const highContrastLinkBorder: CSSRules<DesignSystem>;
export declare const highContrastColorBackground: CSSRules<DesignSystem>;
export declare const highContrastBackground: CSSRules<DesignSystem>;
export declare const highContrastButtonBackground: CSSRules<DesignSystem>;
export declare const highContrastSelectedBackground: CSSRules<DesignSystem>;
export declare const highContrastHighlightBackground: CSSRules<DesignSystem>;
export declare const highContrastLinkBackground: CSSRules<DesignSystem>;
export declare const highContrastButtonColorIndicator: CSSRules<DesignSystem>;
export declare const highContrastHighlightColorIndicator: CSSRules<DesignSystem>;
